import { Plugin } from 'rollup';
import { AtImportOptions } from 'postcss-import';
import autoprefixer from 'autoprefixer';
import { TailwindConfig } from 'tailwindcss/tailwind-config';
export interface PluginConfigOpts {
    enableDebug?: boolean;
    tailwindCssPath?: string;
    tailwindCssContents?: string;
    tailwindConf?: TailwindConfig;
    stripComments?: boolean;
    minify?: boolean;
    enablePurge?: boolean;
    purgeSafeList?: string[];
    purgeExtractor?: (content: string) => string[];
    atImportConf?: AtImportOptions;
    autoprefixerOptions?: autoprefixer.Options;
    postcssConfig?: string;
}
export interface PluginConfigOptsDefaults {
    DEFAULT: PluginConfigOpts;
}
export declare const PluginOpts: PluginConfigOptsDefaults;
export default function tailwindPlugin(opts?: PluginConfigOpts): Plugin;
