/**
   * @license
   * author: Richard Shephard
   * stencil-tailwind-plugin.js v0.6.0
   * Released under the MIT license.
   */
import t from"path";import e from"fs-extra";import n from"chalk";import r from"p-queue";import i,{ScriptTarget as s,SyntaxKind as o}from"typescript";import a from"@fullhuman/postcss-purgecss";import c from"cssnano";import u from"tailwindcss";import l from"postcss";import f from"postcss-combine-duplicated-selectors";import p from"sort-css-media-queries";import d from"postcss-import";import m from"autoprefixer";import w from"postcss-load-config";let g,h=!1;function x(...t){h&&console.log(n.bold.blue("[DBG]"),...t)}function y(...t){console.log(n.bold.yellowBright("[WRN]"),...t)}function b(...t){console.log(n.bold.bgRedBright("[ERR]"),n.bold.red(...t))}const v={DEFAULT:{enableDebug:!1,tailwindCssPath:void 0,tailwindCssContents:"@tailwind base;@tailwind utilities;@tailwind components;",tailwindConf:{mode:"jit",purge:[],darkMode:!1,plugins:[]},stripComments:!1,minify:!0,enablePurge:!0,purgeSafeList:[":root",":host",":shadow","/deep/","::part","::theme"],purgeExtractor:function(t){const e=t.match(/[^<>"'`\s]*[^<>"'`\s:]/g)||[],n=e.map((t=>t.trimEnd().replace(/\\/g,""))),r=t.match(/[^<>"'`\s.(){}[\]#=%]*[^<>"'`\s.(){}[\]#=%:]/g)||[];return e.concat(n).concat(r)},atImportConf:{},autoprefixerOptions:{}}};function E(){return null!=g?g:v.DEFAULT}function T(n){var r;g=Object.assign({},n),g.tailwindCssPath&&(g.tailwindCssContents=null!==(r=function(n){const r=e.readFileSync(t.resolve(n)).toString();return 0===r.length?(y("No css found when reading Tailwind configuration css - path",n),null):r}(g.tailwindCssPath))&&void 0!==r?r:g.tailwindCssContents)}function O(t){return i.createSourceFile("placeholder.ts",t,s.Latest)}function S(t){return function(e,n){const r=t[n];if(r&&e.kind===r.nodeKind){if(r.has){if(!e.modifiers)return!1;let t=!1;for(let n=0;n<e.modifiers.length;++n)if(e.modifiers[n].kind===r.has){t=!0;break}if(!t)return!1}return r.name?e.name&&e.name.escapedText===r.name:!r.initializerKind||e.initializer&&e.initializer.kind===r.initializerKind}return!1}}function C(t,e){const n=S(e);let r=0;return function t(s){return n(s,r)&&(r++,r===e.length)?s:i.forEachChild(s,t)}(t)}function F(t,{name:e,modifier:n,initializer:r}={}){return{nodeKind:t,name:e,has:n,initializerKind:r}}function k(t,e){let n=0;const r=S(t);return function(s){function a(c){return x("[Typescript]","Visiting "+o[c.kind]),r(c,n)?(n++,n===t.length?e(c):(x("[Typescript]","Moving to next tree level",n,"looking for",o[t[n].nodeKind]),c=i.visitEachChild(c,a,s))):c}return function(t){return i.visitNode(t,a)}}}function j(t,e,n){let r=!1;const s=i.transform(t,[k(e,(function(t){return x("Found Node, calling user processing"),r=!0,n(t)}))]),[o]=s.transformed,a=i.createPrinter();return{found:r,fullText:a.printFile(o)}}function R(t){return t&&t.__esModule&&Object.prototype.hasOwnProperty.call(t,"default")?t.default:t}var P={exports:{}},D={exports:{}};!function(t,e){function n(t){this.options=t}Object.defineProperty(e,"__esModule",{value:!0}),e.default=void 0,n.prototype.canRemove=function(t){const e=this.options.remove;if(e)return e(t);if(!(0===t.indexOf("!")))return!0;if(this.options.removeAll||this._hasFirst)return!0;if(this.options.removeAllButFirst&&!this._hasFirst)return this._hasFirst=!0,!1};var r=n;e.default=r,t.exports=e.default}(D,D.exports);var _,L,z={exports:{}};_=z,L=z.exports,Object.defineProperty(L,"__esModule",{value:!0}),L.default=function(t){const e=[],n=t.length;let r,i=0;for(;i<n;)r=t.indexOf("/*",i),~r?(e.push([0,i,r]),i=r,r=t.indexOf("*/",i+2),e.push([1,i+2,r]),i=r+2):(e.push([0,i,n]),i=n);return e},_.exports=L.default,function(t,e){Object.defineProperty(e,"__esModule",{value:!0}),e.default=void 0;var n=i(D.exports),r=i(z.exports);function i(t){return t&&t.__esModule?t:{default:t}}function s(t={}){const e=new n.default(t),i={},s={};function o(t,n,i=" "){const o=t+"@|@"+i;if(s[o])return s[o];const a=n((0,r.default)(t).reduce(((n,[r,s,o])=>{const a=t.slice(s,o);return r?e.canRemove(a)?n+i:`${n}/*${a}*/`:n+a}),"")).join(" ");return s[o]=a,a}return{postcssPlugin:"postcss-discard-comments",OnceExit(t,{list:n}){t.walk((t=>{if("comment"===t.type&&e.canRemove(t.text))t.remove();else if(t.raws.between&&(t.raws.between=o(t.raws.between,n.space)),"decl"!==t.type){if("rule"===t.type&&t.raws.selector&&t.raws.selector.raw)t.raws.selector.raw=o(t.raws.selector.raw,n.space,"");else if("atrule"===t.type){if(t.raws.afterName){const e=o(t.raws.afterName,n.space);e.length?t.raws.afterName=" "+e+" ":t.raws.afterName=e+" "}t.raws.params&&t.raws.params.raw&&(t.raws.params.raw=o(t.raws.params.raw,n.space))}}else if(t.raws.value&&t.raws.value.raw&&(t.raws.value.value===t.value?t.value=o(t.raws.value.raw,n.space):t.value=o(t.value,n.space),t.raws.value=null),t.raws.important){t.raws.important=o(t.raws.important,n.space);const e=function(t){if(i[t])return i[t];const e=(0,r.default)(t).filter((([t])=>t));return i[t]=e,e}(t.raws.important);t.raws.important=e.length?t.raws.important:"!important"}}))}}}s.postcss=!0;var o=s;e.default=o,t.exports=e.default}(P,P.exports);var A=R(P.exports),N={exports:{}};const $=p;N.exports=(t={})=>(t=Object.assign({sort:"mobile-first"},t),{postcssPlugin:"postcss-sort-media-queries",OnceExit(e,{AtRule:n}){let r=[];var i,s;e.walkAtRules("media",(t=>{let e=t.params;r[e]||(r[e]=new n({name:t.name,params:t.params,source:t.source})),t.nodes.forEach((t=>{r[e].append(t.clone())})),t.remove()})),(i=Object.keys(r),s=t.sort,"function"!=typeof s&&(s="desktop-first"===s?$.desktopFirst:$),i.sort(s)).forEach((t=>{e.append(r[t])}))}}),N.exports.postcss=!0;var K=N.exports;function B(){return A({removeAll:!0})}function M(){return[K(),f(),c()]}function V(t,e,n){const r=(i=[e],Object.assign({},g.tailwindConf,{purge:i}));var i;const s=[d(t.atImportConf),u(r),m(t.autoprefixerOptions)];return n&&t.enablePurge&&s.push(a({content:[e],safelist:t.purgeSafeList,defaultExtractor:t.purgeExtractor})),t.minify&&s.push(...M()),t.stripComments&&s.push(B()),s}async function I(t,e,n){const r=await async function(t){var e;const n=null!==(e=t.postcssConfig)&&void 0!==e?e:process.cwd();try{return(await w(void 0,n)).plugins}catch(t){if("MODULE_NOT_FOUND"===t.code)throw new Error(`'stencil-tailwind-plugin' is not able to resolve modules required from configuration files. Make sure it is installed\nError: ${t.message}`);x("[TW]","No postcss configuration file found in:",n)}return null}(t);return null===r?V(t,e,n):r}async function q(e,n,r){const i=E(),s=null!=r?r:i.tailwindCssContents,o=t.join(".",t.relative(process.cwd(),e)),a=await I(i,o,n),c=function(t,e){return e?t:t.replace(/\n/g,"").replace(/'/g,'"').replace(/`/g,"\\`").replace(/\t/g," ")}((await l(a).process(s,{from:o})).css,i.minify);return x("[TW]","Tailwind styles:",c),c}const U={};function W(t,e){x("[STORE]","Registering import",e,"against",t);var n;(U[n=t]||(U[n]={imports:[],css:""}),U[n]).imports.push(e)}async function G(e,n){const r=[F(o.SourceFile),F(o.FirstStatement),F(o.VariableDeclarationList),F(o.VariableDeclaration),F(o.StringLiteral)],s=function(t){x("[STORE]","Looking up import of",t);let e="";return Object.entries(U).forEach((([n,r])=>{r.imports.includes(t)&&(x("[STORE]","Found imported file to store grab css to inject",n),e+=r.css)})),e}(n),a=C(e,r);await(async e=>{const r=e.text,i=await q(n,!1,r),o=await async function(e,n,r){const{minify:i,stripComments:s}=E(),o=n+r;if(!i||0===r.length)return o;const a=t.join(".",t.relative(process.cwd(),e)),c=M();return s&&c.push(B()),(await l(c).process(o,{from:a})).css}(n,i,s);e.text=o})(a);return i.createPrinter().printFile(e)}function H(e,n){const r=t.parse(n);!function(t,e,n){(function t(r){return r.kind===e&&n(r)?r:i.forEachChild(r,t)})(t)}(e,o.ImportDeclaration,(function(e){const i=e.moduleSpecifier,s=t.resolve(r.dir,i.text);return W(n,s),!1}))}function J(t,e){let n=function(t,e){return j(t,[F(o.SourceFile),F(o.VariableStatement,{modifier:o.ExportKeyword}),F(o.VariableDeclarationList),F(o.VariableDeclaration),F(o.ClassExpression),F(o.GetAccessor,{name:"style",modifier:o.StaticKeyword}),F(o.Block),F(o.ReturnStatement)],(t=>{const n=t,r=n.expression;return i.factory.updateReturnStatement(n,i.factory.createIdentifier(`${r.escapedText} + '${e}'`))}))}(t,e);return n.found||(n=function(t,e){const n=[F(o.SourceFile),F(o.ExpressionStatement),F(o.BinaryExpression)],r=t=>i.factory.createIdentifier(`${t} + '${e}'`);return j(t,n,(t=>{const e=t;if(i.isPropertyAccessExpression(e.left)&&e.left.name&&"style"===e.left.name.escapedText){if(i.isObjectLiteralExpression(e.right)){const t=e.right.properties.map((t=>{const e=t,n=t.name.escapedText,s=e.initializer.escapedText;return i.factory.createPropertyAssignment(n,r(s))}));return i.factory.updateBinaryExpression(e,e.left,i.SyntaxKind.EqualsToken,i.factory.createObjectLiteralExpression(t))}if(i.isIdentifier(e.right)){const t=e.right;return i.factory.updateBinaryExpression(e,e.left,i.SyntaxKind.EqualsToken,r(t.escapedText))}y("[Typescript]","Found a binary expression but",e.right.kind,"is not currently handled")}return b("[Typescript]","Found a binary statement, but failed to match it to style!"),t}))}(t,e),n.found||(n=function(t,e){const n=[F(o.SourceFile),F(o.VariableStatement),F(o.VariableDeclarationList),F(o.VariableDeclaration,{initializer:o.ClassExpression})];let r="";const s=j(t,n,(t=>{const e=t;return e.name&&e.initializer&&e.initializer.kind===o.ClassExpression&&(r=e.name.escapedText),t}));if(s.found){const t=i.factory.createIdentifier(`'${e}'`);s.fullText=`${s.fullText}${r}.style = ${t.escapedText};\n`}return s}(t,e))),{text:n.fullText,transformed:n.found}}async function Q(e,n){x("[Typescript]","Processing source file:",n);const r=await q(n,!0);if(0===r.length)return e;const i=r.replace(/\\/g,"\\\\");const s=O(e);H(s,n);const o=J(s,i);return o.transformed||function(e,n){x("[STORE]","Registering css for",e,"against",n);const r=t.parse(e),i=t.join(r.dir,r.name);Object.entries(U).forEach((([t,e])=>{e.imports.includes(i)&&(x("[STORE]","Found cross reference for imported file",i,"to store css against"),e.css+=n)}))}(n,r),o.text}function X(){x("Starting build")}function Y(t){t&&(b("Oh noes! Something went wrong!",t.message),b(t.stack)),x("Build completed")}const Z=new r({concurrency:1});async function tt(t,e){let n=t;return e.match(/\.s?css/)?n=await Z.add((()=>async function(t,e){x("[Stylesheets]","Processing source file:",e);const n=O(t);return await G(n,e)}(t,e))):function(t){return t.match(/\.tsx/)}(e)&&(n=await Z.add((()=>Q(t,e)))),{code:n,map:null}}const et=Object.freeze(v);function nt(t){const e=Object.assign({},et.DEFAULT,t);var n;T(e),n=e.enableDebug,h=n}function rt(t){return nt(t),{name:"tailwind",buildStart:X,transform:tt,buildEnd:Y}}export{et as PluginOpts,rt as default};
//# sourceMappingURL=index.esm.js.map
