/**
   * @license
   * author: Richard Shephard
   * stencil-tailwind-plugin.js v0.6.0
   * Released under the MIT license.
   */
"use strict";Object.defineProperty(exports,"__esModule",{value:!0});var e=require("path"),t=require("fs-extra"),n=require("chalk"),r=require("p-queue"),i=require("typescript"),a=require("@fullhuman/postcss-purgecss"),s=require("cssnano"),o=require("tailwindcss"),u=require("postcss"),c=require("postcss-combine-duplicated-selectors"),l=require("sort-css-media-queries"),f=require("postcss-import"),d=require("autoprefixer"),p=require("postcss-load-config");function m(e){return e&&"object"==typeof e&&"default"in e?e:{default:e}}var x=m(e),y=m(t),w=m(n),g=m(r),h=m(i),S=m(a),v=m(s),b=m(o),E=m(u),K=m(c),O=m(l),T=m(f),C=m(d),F=m(p);let j,k=!1;function q(...e){k&&console.log(w.default.bold.blue("[DBG]"),...e)}function P(...e){console.log(w.default.bold.yellowBright("[WRN]"),...e)}function R(...e){console.log(w.default.bold.bgRedBright("[ERR]"),w.default.bold.red(...e))}const _={DEFAULT:{enableDebug:!1,tailwindCssPath:void 0,tailwindCssContents:"@tailwind base;@tailwind utilities;@tailwind components;",tailwindConf:{mode:"jit",purge:[],darkMode:!1,plugins:[]},stripComments:!1,minify:!0,enablePurge:!0,purgeSafeList:[":root",":host",":shadow","/deep/","::part","::theme"],purgeExtractor:function(e){const t=e.match(/[^<>"'`\s]*[^<>"'`\s:]/g)||[],n=t.map((e=>e.trimEnd().replace(/\\/g,""))),r=e.match(/[^<>"'`\s.(){}[\]#=%]*[^<>"'`\s.(){}[\]#=%:]/g)||[];return t.concat(n).concat(r)},atImportConf:{},autoprefixerOptions:{}}};function D(){return null!=j?j:_.DEFAULT}function L(e){var t;j=Object.assign({},e),j.tailwindCssPath&&(j.tailwindCssContents=null!==(t=function(e){const t=y.default.readFileSync(x.default.resolve(e)).toString();return 0===t.length?(P("No css found when reading Tailwind configuration css - path",e),null):t}(j.tailwindCssPath))&&void 0!==t?t:j.tailwindCssContents)}function z(e){return h.default.createSourceFile("placeholder.ts",e,i.ScriptTarget.Latest)}function A(e){return function(t,n){const r=e[n];if(r&&t.kind===r.nodeKind){if(r.has){if(!t.modifiers)return!1;let e=!1;for(let n=0;n<t.modifiers.length;++n)if(t.modifiers[n].kind===r.has){e=!0;break}if(!e)return!1}return r.name?t.name&&t.name.escapedText===r.name:!r.initializerKind||t.initializer&&t.initializer.kind===r.initializerKind}return!1}}function N(e,t){const n=A(t);let r=0;return function e(i){return n(i,r)&&(r++,r===t.length)?i:h.default.forEachChild(i,e)}(e)}function $(e,{name:t,modifier:n,initializer:r}={}){return{nodeKind:e,name:t,has:n,initializerKind:r}}function M(e,t){let n=0;const r=A(e);return function(a){function s(o){return q("[Typescript]","Visiting "+i.SyntaxKind[o.kind]),r(o,n)?(n++,n===e.length?t(o):(q("[Typescript]","Moving to next tree level",n,"looking for",i.SyntaxKind[e[n].nodeKind]),o=h.default.visitEachChild(o,s,a))):o}return function(e){return h.default.visitNode(e,s)}}}function B(e,t,n){let r=!1;const i=h.default.transform(e,[M(t,(function(e){return q("Found Node, calling user processing"),r=!0,n(e)}))]),[a]=i.transformed,s=h.default.createPrinter();return{found:r,fullText:s.printFile(a)}}function V(e){return e&&e.__esModule&&Object.prototype.hasOwnProperty.call(e,"default")?e.default:e}var I={exports:{}},U={exports:{}};!function(e,t){function n(e){this.options=e}Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0,n.prototype.canRemove=function(e){const t=this.options.remove;if(t)return t(e);if(!(0===e.indexOf("!")))return!0;if(this.options.removeAll||this._hasFirst)return!0;if(this.options.removeAllButFirst&&!this._hasFirst)return this._hasFirst=!0,!1};var r=n;t.default=r,e.exports=t.default}(U,U.exports);var W={exports:{}};!function(e,t){Object.defineProperty(t,"__esModule",{value:!0}),t.default=function(e){const t=[],n=e.length;let r,i=0;for(;i<n;)r=e.indexOf("/*",i),~r?(t.push([0,i,r]),i=r,r=e.indexOf("*/",i+2),t.push([1,i+2,r]),i=r+2):(t.push([0,i,n]),i=n);return t},e.exports=t.default}(W,W.exports),function(e,t){Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=i(U.exports),r=i(W.exports);function i(e){return e&&e.__esModule?e:{default:e}}function a(e={}){const t=new n.default(e),i={},a={};function s(e,n,i=" "){const s=e+"@|@"+i;if(a[s])return a[s];const o=n((0,r.default)(e).reduce(((n,[r,a,s])=>{const o=e.slice(a,s);return r?t.canRemove(o)?n+i:`${n}/*${o}*/`:n+o}),"")).join(" ");return a[s]=o,o}return{postcssPlugin:"postcss-discard-comments",OnceExit(e,{list:n}){e.walk((e=>{if("comment"===e.type&&t.canRemove(e.text))e.remove();else if(e.raws.between&&(e.raws.between=s(e.raws.between,n.space)),"decl"!==e.type){if("rule"===e.type&&e.raws.selector&&e.raws.selector.raw)e.raws.selector.raw=s(e.raws.selector.raw,n.space,"");else if("atrule"===e.type){if(e.raws.afterName){const t=s(e.raws.afterName,n.space);t.length?e.raws.afterName=" "+t+" ":e.raws.afterName=t+" "}e.raws.params&&e.raws.params.raw&&(e.raws.params.raw=s(e.raws.params.raw,n.space))}}else if(e.raws.value&&e.raws.value.raw&&(e.raws.value.value===e.value?e.value=s(e.raws.value.raw,n.space):e.value=s(e.value,n.space),e.raws.value=null),e.raws.important){e.raws.important=s(e.raws.important,n.space);const t=function(e){if(i[e])return i[e];const t=(0,r.default)(e).filter((([e])=>e));return i[e]=t,t}(e.raws.important);e.raws.important=t.length?e.raws.important:"!important"}}))}}}a.postcss=!0;var s=a;t.default=s,e.exports=t.default}(I,I.exports);var G=V(I.exports),H={exports:{}};const J=O.default;H.exports=(e={})=>(e=Object.assign({sort:"mobile-first"},e),{postcssPlugin:"postcss-sort-media-queries",OnceExit(t,{AtRule:n}){let r=[];var i,a;t.walkAtRules("media",(e=>{let t=e.params;r[t]||(r[t]=new n({name:e.name,params:e.params,source:e.source})),e.nodes.forEach((e=>{r[t].append(e.clone())})),e.remove()})),(i=Object.keys(r),a=e.sort,"function"!=typeof a&&(a="desktop-first"===a?J.desktopFirst:J),i.sort(a)).forEach((e=>{t.append(r[e])}))}}),H.exports.postcss=!0;var Q=H.exports;function X(){return G({removeAll:!0})}function Y(){return[Q(),K.default(),v.default()]}function Z(e,t,n){const r=(i=[t],Object.assign({},j.tailwindConf,{purge:i}));var i;const a=[T.default(e.atImportConf),b.default(r),C.default(e.autoprefixerOptions)];return n&&e.enablePurge&&a.push(S.default({content:[t],safelist:e.purgeSafeList,defaultExtractor:e.purgeExtractor})),e.minify&&a.push(...Y()),e.stripComments&&a.push(X()),a}async function ee(e,t,n){const r=await async function(e){var t;const n=null!==(t=e.postcssConfig)&&void 0!==t?t:process.cwd();try{return(await F.default(void 0,n)).plugins}catch(e){if("MODULE_NOT_FOUND"===e.code)throw new Error(`'stencil-tailwind-plugin' is not able to resolve modules required from configuration files. Make sure it is installed\nError: ${e.message}`);q("[TW]","No postcss configuration file found in:",n)}return null}(e);return null===r?Z(e,t,n):r}async function te(e,t,n){const r=D(),i=null!=n?n:r.tailwindCssContents,a=x.default.join(".",x.default.relative(process.cwd(),e)),s=await ee(r,a,t),o=function(e,t){return t?e:e.replace(/\n/g,"").replace(/'/g,'"').replace(/`/g,"\\`").replace(/\t/g," ")}((await E.default(s).process(i,{from:a})).css,r.minify);return q("[TW]","Tailwind styles:",o),o}const ne={};function re(e,t){q("[STORE]","Registering import",t,"against",e);var n;(ne[n=e]||(ne[n]={imports:[],css:""}),ne[n]).imports.push(t)}async function ie(e,t){const n=[$(i.SyntaxKind.SourceFile),$(i.SyntaxKind.FirstStatement),$(i.SyntaxKind.VariableDeclarationList),$(i.SyntaxKind.VariableDeclaration),$(i.SyntaxKind.StringLiteral)],r=function(e){q("[STORE]","Looking up import of",e);let t="";return Object.entries(ne).forEach((([n,r])=>{r.imports.includes(e)&&(q("[STORE]","Found imported file to store grab css to inject",n),t+=r.css)})),t}(t),a=N(e,n);await(async e=>{const n=e.text,i=await te(t,!1,n),a=await async function(e,t,n){const{minify:r,stripComments:i}=D(),a=t+n;if(!r||0===n.length)return a;const s=x.default.join(".",x.default.relative(process.cwd(),e)),o=Y();return i&&o.push(X()),(await E.default(o).process(a,{from:s})).css}(t,i,r);e.text=a})(a);return h.default.createPrinter().printFile(e)}function ae(e,t){const n=x.default.parse(t);!function(e,t,n){(function e(r){return r.kind===t&&n(r)?r:h.default.forEachChild(r,e)})(e)}(e,i.SyntaxKind.ImportDeclaration,(function(e){const r=e.moduleSpecifier,i=x.default.resolve(n.dir,r.text);return re(t,i),!1}))}function se(e,t){let n=function(e,t){return B(e,[$(i.SyntaxKind.SourceFile),$(i.SyntaxKind.VariableStatement,{modifier:i.SyntaxKind.ExportKeyword}),$(i.SyntaxKind.VariableDeclarationList),$(i.SyntaxKind.VariableDeclaration),$(i.SyntaxKind.ClassExpression),$(i.SyntaxKind.GetAccessor,{name:"style",modifier:i.SyntaxKind.StaticKeyword}),$(i.SyntaxKind.Block),$(i.SyntaxKind.ReturnStatement)],(e=>{const n=e,r=n.expression;return h.default.factory.updateReturnStatement(n,h.default.factory.createIdentifier(`${r.escapedText} + '${t}'`))}))}(e,t);return n.found||(n=function(e,t){const n=[$(i.SyntaxKind.SourceFile),$(i.SyntaxKind.ExpressionStatement),$(i.SyntaxKind.BinaryExpression)],r=e=>h.default.factory.createIdentifier(`${e} + '${t}'`);return B(e,n,(e=>{const t=e;if(h.default.isPropertyAccessExpression(t.left)&&t.left.name&&"style"===t.left.name.escapedText){if(h.default.isObjectLiteralExpression(t.right)){const e=t.right.properties.map((e=>{const t=e,n=e.name.escapedText,i=t.initializer.escapedText;return h.default.factory.createPropertyAssignment(n,r(i))}));return h.default.factory.updateBinaryExpression(t,t.left,h.default.SyntaxKind.EqualsToken,h.default.factory.createObjectLiteralExpression(e))}if(h.default.isIdentifier(t.right)){const e=t.right;return h.default.factory.updateBinaryExpression(t,t.left,h.default.SyntaxKind.EqualsToken,r(e.escapedText))}P("[Typescript]","Found a binary expression but",t.right.kind,"is not currently handled")}return R("[Typescript]","Found a binary statement, but failed to match it to style!"),e}))}(e,t),n.found||(n=function(e,t){const n=[$(i.SyntaxKind.SourceFile),$(i.SyntaxKind.VariableStatement),$(i.SyntaxKind.VariableDeclarationList),$(i.SyntaxKind.VariableDeclaration,{initializer:i.SyntaxKind.ClassExpression})];let r="";const a=B(e,n,(e=>{const t=e;return t.name&&t.initializer&&t.initializer.kind===i.SyntaxKind.ClassExpression&&(r=t.name.escapedText),e}));if(a.found){const e=h.default.factory.createIdentifier(`'${t}'`);a.fullText=`${a.fullText}${r}.style = ${e.escapedText};\n`}return a}(e,t))),{text:n.fullText,transformed:n.found}}async function oe(e,t){q("[Typescript]","Processing source file:",t);const n=await te(t,!0);if(0===n.length)return e;const r=n.replace(/\\/g,"\\\\");const i=z(e);ae(i,t);const a=se(i,r);return a.transformed||function(e,t){q("[STORE]","Registering css for",e,"against",t);const n=x.default.parse(e),r=x.default.join(n.dir,n.name);Object.entries(ne).forEach((([e,n])=>{n.imports.includes(r)&&(q("[STORE]","Found cross reference for imported file",r,"to store css against"),n.css+=t)}))}(t,n),a.text}function ue(){q("Starting build")}function ce(e){e&&(R("Oh noes! Something went wrong!",e.message),R(e.stack)),q("Build completed")}const le=new g.default({concurrency:1});async function fe(e,t){let n=e;return t.match(/\.s?css/)?n=await le.add((()=>async function(e,t){q("[Stylesheets]","Processing source file:",t);const n=z(e);return await ie(n,t)}(e,t))):function(e){return e.match(/\.tsx/)}(t)&&(n=await le.add((()=>oe(e,t)))),{code:n,map:null}}const de=Object.freeze(_);function pe(e){const t=Object.assign({},de.DEFAULT,e);var n;L(t),n=t.enableDebug,k=n}exports.PluginOpts=de,exports.default=function(e){return pe(e),{name:"tailwind",buildStart:ue,transform:fe,buildEnd:ce}};
//# sourceMappingURL=index.js.map
